Bug 214713 - strange characters on configure console when autogen.sh is run
strange characters on configure console when autogen.sh is run
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-08 17:30 EST by Ben Konrath
Modified: 2009-06-11 18:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-11 18:51:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strange characters printed with output of autogen.sh (116.71 KB, image/png)
2006-11-08 17:30 EST, Ben Konrath
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 280013 None None None Never

  None (edit)
Description Ben Konrath 2006-11-08 17:30:36 EST
Description of problem:

Strange characters appear on configure console with the output of autogen.sh.
See the attached screenshot.

Version-Release number of selected component (if applicable):

eclipse-cdt-3.1.1-1.fc6

Steps to Reproduce:
1. Check out a GNOME project.
2. Make the configure command run 'autogen.sh' instead of 'configure'
3. Notice the strange characters on the console.
Comment 1 Ben Konrath 2006-11-08 17:30:36 EST
Created attachment 140725 [details]
strange characters printed with output of autogen.sh
Comment 2 Andrew Overholt 2007-04-16 16:48:04 EDT
Jeff, can you duplicate this?
Comment 3 Jeff Johnston 2007-04-16 18:00:51 EDT
Yes.  The gnome-autogen.sh file uses terminal boldface and terminal normal
control sequences calculated by tput.  The upstream Eclipse console doesn't know
how to translate these sequences so they appear as garbage.  IMO, the
gnome-autogen.sh shouldn't be doing this, but the fact is, they do.
Comment 4 Bug Zapper 2008-04-04 00:32:48 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Andrew Overholt 2008-04-04 09:56:33 EDT
Jeff:  I've seen an upstream bug about the console not accepting control
characters.  You should find it and reference it here and then close this as
upstream.  Looking for "\b" at bugs.eclipse.org/bugs should help, I think.
Comment 6 John Poelstra 2008-05-05 19:05:51 EDT
changing version to 'rawhide' to keep this bug from EOL closure
Comment 7 Bug Zapper 2008-05-13 22:27:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Andrew Overholt 2008-09-30 15:32:31 EDT
This should perhaps be marked a duplicate of the upstream "console can't deal with control characters" bug.  Jeff?
Comment 9 Bug Zapper 2009-06-09 18:20:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Andrew Overholt 2009-06-10 10:56:26 EDT
Jeff, please mark this as a duplicate of the upstream "console can't deal with control characters" bug or do some other triage.
Comment 11 Jeff Johnston 2009-06-11 18:51:53 EDT
Closing this as upstream bug.

Note You need to log in before you can comment on or make changes to this bug.